S.EE Docs
API Reference

Complete Large File Upload

Call this after all TUS chunks have been uploaded. It validates the file, moves it to permanent storage, and returns the file record. This consumes the upload session.

POST
/api/v1/file/large-file/complete

Header Parameters

Authorization*string

API key

Request Body

Upload session ID

application/json
  1. body
upload_id*string

Upload session ID that has finished uploading all chunks

Response Body

OK

application/json
  1. response
code?integer
data?
message?string
Example Request
curl -X POST 'https://s.ee/api/v1/file/large-file/complete' \  -H 'Authorization: string' \  -H 'Content-Type: application/json' \  -d '{  "upload_id": "string"}'
Example Response200
{  "code": 0,  "data": {    "file": {      "created_at": 0,      "delete": "string",      "file_id": 0,      "filename": "string",      "hash": "string",      "height": 0,      "mime_type": "string",      "page": "string",      "path": "string",      "size": 0,      "storename": "string",      "thumb_url": "string",      "upload_status": 0,      "url": "string",      "width": 0    },    "short_link": "string"  },  "message": "string"}